# -*- coding: utf-8 -*-

class Functions:

    @staticmethod
    def add_max(df):
        return df.max(numeric_only=True).reset_index(drop=True)

    @staticmethod
    def add_median(df):
        return df.median().reset_index(drop=True)

    @staticmethod
    def add_min(df):
        return df.min(numeric_only=True).reset_index(drop=True)

    @staticmethod
    def add_mean(df):
        # for each dimension return the mean value
        return df.mean().reset_index(drop=True)

    @staticmethod
    def add_std(df):
        # for each dimension return the standard deviation
        return df.std().reset_index(drop=True)

    @staticmethod
    def add_variance(df):
        # for each dimension return the variance
        return df.var().reset_index(drop=True)

    @staticmethod
    def add_skew(df):
        # for each dimension return the skewness
        return df.skew().reset_index(drop=True)

    @staticmethod
    def add_kurtosis(df):
        # for each dimension return the kurtosis
        return df.kurtosis().reset_index(drop=True)
